import 'package:shared_preferences/shared_preferences.dart';

class SharedPrefs {
  static SharedPreferences? _sharedPrefs;
  static const String _prefsGameMode = 'gameMode';
  static const String _prefsLevel = 'level';
  static const String _prefsVictoryCount = 'victoryCount';
  static const String _prefsDefeatCount = 'defeatCount';

  init() async {
    _sharedPrefs ??= await SharedPreferences.getInstance();
  }

  bool get gameMode => _sharedPrefs?.getBool(_prefsGameMode) ?? false;

  set gameMode(bool value) => _sharedPrefs?.setBool(_prefsGameMode, value);

  String get level => _sharedPrefs?.getString(_prefsLevel) ?? '';

  set level(String value) => _sharedPrefs?.setString(_prefsLevel, value);

  int get victoryCount => _sharedPrefs?.getInt(_prefsVictoryCount) ?? 0;

  set victoryCount(int value) => _sharedPrefs?.setInt(_prefsVictoryCount, value);

  int get defeatCount => _sharedPrefs?.getInt(_prefsDefeatCount) ?? 0;

  set defeatCount(int value) => _sharedPrefs?.setInt(_prefsDefeatCount, value);
}
