import 'package:hangman/utils/constants.dart';
import 'package:flutter/material.dart';

class DialogFetchError extends StatelessWidget {
  const DialogFetchError({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: const Color(board),
      body: PopScope(
        onPopInvoked: (didPop) {},
        child: AlertDialog(
          title: const Text('Connexion impossible'),
          content: const Text('Impossible de récupérer un mot aléatoire. '
              'La connexion internet est peut-être inaccessible.\n'
              'Changer vers un mode de jeu hors-ligne ?'),
          actions: [
            TextButton(
              child: const Text('REVENIR'),
              onPressed: () => Navigator.pop(context, false),
            ),
            TextButton(
              child: const Text('ACCEPTER'),
              onPressed: () => Navigator.pop(context, true),
            ),
          ],
        ),
      ),
    );
  }
}
